<?php

namespace App\Console\Commands;

use App\Models\Auction;
use App\Models\Bid;
use App\Models\FailedTransaction;
use App\Models\Notification;
use App\Models\User;
use App\Models\UserCredit;
use Carbon\Carbon;
use Illuminate\Console\Command;

class MinutelyUpdate extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'minutely:update';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */

    public function payment($amount, $user)
    {
        $method = 'MASTER';  //only master and visa
        $registration_id = $user->registrationId;

        if ($method == 'mada') {
            $entity_id = '8ac9a4cc7a5c05eb017a61684da243cb';
            $testMode = 'INTERNAL';
            $paymentBrand = 'MADA';
        } else {
            $entity_id = '8ac9a4ca7c30b119017c500e86cd65c9';
            $testMode = 'EXTERNAL';
            $paymentBrand = 'MASTER';

        }


        $randomCode = rand(1111, 9999);
        $url = "https://oppwa.com/v1/registrations/$registration_id/payments";
        $data = "entityId=8ac9a4ca7c30b119017c500e86cd65c9" .
            "&amount=$amount" .
            "&currency=SAR" .
            "&paymentType=DB" .
            "&shopperResultUrl=https://som-sa.com/test_payment" .
            "&recurringType=REPEATED" .
            "&merchantTransactionId=$randomCode" .
            "&standingInstruction.type=UNSCHEDULED" .
            "&standingInstruction.source=MIT";
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Authorization:Bearer OGFjOWE0Y2M3YTVjMDVlYjAxN2E2MTY2ZjczNTQzYjB8cDVmUGprUjNUTQ=='));
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $responseData = curl_exec($ch);
        if (curl_errno($ch)) {
            return curl_error($ch);
        }
        curl_close($ch);
        return $responseData;

    }


    public function handle()
    {

        $auctions = Auction::where(['type' => 'normal', 'notification' => 'false', 'status' => 'active', 'paid' => null])->where('check_hour', '<=', Carbon::now())->whereHas('bids')->get();
        $auctions1 = Auction::where(['type' => 'normal', 'notification' => 'hour', 'status' => 'active', 'paid' => null])->where('check_twelve', '<=', Carbon::now())->whereHas('bids')->get();
        $direct_auctions = Auction::where(['type' => 'direct', 'status' => 'active', 'paid' => null])->where('end_date', '<', Carbon::now())->doesnthave('failed_transaction')->whereHas('bids')->get();
        $all_auction = $auctions->merge($auctions1);

        foreach ($all_auction as $auction) {
            if ($auction->notification == 'false') {
                $singleAuction = Auction::find($auction->id);
                $singleAuction->notification = 'hour';
                $singleAuction->update();

                $notification_twelve = new Notification();
                $notification_twelve->user_id = $singleAuction->user->id;
                $notification_twelve->auction_id = $singleAuction->id;
                $notification_twelve->type = 'auction';
                $notification_twelve['title->ar'] = " برجاء اختيار فائز فى المزاد $singleAuction->title ";
                $notification_twelve['title->en'] = "Please choose a winner in the auction $singleAuction->title";
                $notification_twelve['body->ar'] = "برجاء اختيار فائز فى المزاد " . $singleAuction->code . "والا سيتم غلقه";
                $notification_twelve['body->en'] = "Please choose a winner in the auction ($singleAuction->title) Otherwise, it will be closed ";
                $notification_twelve->save();

                //sms


                shamel_sms($singleAuction->user->mobile, $notification_twelve->title['ar']);


            } elseif ($auction->notification == 'hour') {
                $singleAuction = Auction::find($auction->id);
                $singleAuction->notification = 'twelve';
                $singleAuction->status = 'not_active';
                $singleAuction->update();

                $notification_twelve = new Notification();
                $notification_twelve->user_id = $singleAuction->user->id;
                $notification_twelve->auction_id = $singleAuction->id;
                $notification_twelve->type = 'auction';
                $notification_twelve['title->ar'] = "لقد تم غلق المزاد $singleAuction->title ";
                $notification_twelve['title->en'] = "The auction has closed $singleAuction->title";
                $notification_twelve['body->ar'] = "لقد تم غلق المزاد " . $singleAuction->code . " لعدم اختيار فائز";
                $notification_twelve['body->en'] = "The auction ($singleAuction->title) has closed because a winner has not been selected ";
                $notification_twelve->save();


                //sms


                shamel_sms($singleAuction->user->mobile, $notification_twelve->title['ar']);

            }
        }

        foreach ($direct_auctions as $auction) {
            $singleAuction = Auction::find($auction->id);


            // PAYMENT


            $lastBid = Bid::whereAuctionId($auction->id)->orderByDesc('id')->first();
//            $credit = UserCredit::whereUserId($lastBid->user_id)->first();
            $user = User::find($lastBid->user_id);

            $price = sprintf("%.2f", $lastBid->price);

            $payment_status = $this->payment($price, $user);
            $data = json_decode($payment_status);

            if ($data->result->code == '000.100.112' || $data->result->code == '000.100.110' || $data->result->code == '000.000.000') {
                $singleAuction->price = $lastBid->price;
                $singleAuction->paid = 'true';
                $singleAuction->date = Carbon::parse($auction->date)->subMinutes(30);
                $singleAuction->end_date = Carbon::parse($auction->end_date)->subMinutes(30);
                $singleAuction->winner_id = $lastBid->user->id;
                $singleAuction->owner_accept = 'true';
                $singleAuction->code = $lastBid->user->id . rand('111', '999') . $auction->id;
                $singleAuction->update();


                if ($singleAuction->pubg_email) {
                    $auction->code_recieve = 'true';
                    $auction->update();

                    $notification_winner = new Notification();
                    $notification_winner->user_id = $lastBid->user->id;
                    $notification_winner->auction_id = $auction->id;
                    $notification_winner->type = 'order';
                    $notification_winner['title->ar'] = "لقد ربحت المزاد $auction->title ";
                    $notification_winner['title->en'] = "You have won the auction $auction->title";
                    $notification_winner['body->ar'] = "مبروك لقد ربحت المزاد";
                    $notification_winner['body->en'] = "Congratulations, you won the auction";
                    $notification_winner->save();


                    $notification_owner = new Notification();
                    $notification_owner->user_id = $singleAuction->user_id;
                    $notification_owner->auction_id = $singleAuction->id;
                    $notification_owner->type = 'auction';
                    $notification_owner['title->ar'] = "تم انتهاء المزاد $singleAuction->title ";
                    $notification_owner['title->en'] = "Auction has ended $singleAuction->title";
                    $notification_owner['body->ar'] = "تم انتهاء المزاد وارسال حساب بابجى فى الاشعارات والفائز هو  " . $singleAuction->winner->username;
                    $notification_owner['body->en'] = "The auction has ended and a PUBG account has been sent to the notifications, and the winner is " . $singleAuction->winner->username;
                    $notification_owner->save();


                } else {


                    $notification_winner = new Notification();
                    $notification_winner->user_id = $lastBid->user->id;
                    $notification_winner->auction_id = $singleAuction->id;
                    $notification_winner->type = 'auction';
                    $notification_winner['title->ar'] = "لقد ربحت المزاد $singleAuction->title ";
                    $notification_winner['title->en'] = "You have won the auction $singleAuction->title";
                    $notification_winner['body->ar'] = "مبروك لقد ربحت المزاد وهذا هوا رمز الاستلام من صاحب المزاد برجاء التواصل معه الرمز هو : $singleAuction->code";
                    $notification_winner['body->en'] = "Congratulations, you won the auction, and this is the receipt code from the auctioneer. Please contact him. The code is : $singleAuction->code";
                    $notification_winner->save();

                    $notification_owner = new Notification();
                    $notification_owner->user_id = $singleAuction->user_id;
                    $notification_owner->auction_id = $singleAuction->id;
                    $notification_owner->type = 'auction';
                    $notification_owner['title->ar'] = "رمز تسليم المزاد $singleAuction->title ";
                    $notification_owner['title->en'] = "Auction delivery code $singleAuction->title";
                    $notification_owner['body->ar'] = "  برجاء التواصل معه حتى يتم التسليم بنجاح " . $singleAuction->winner->username . "لقد ربح المزاد";
                    $notification_owner['body->en'] = "won the auction" . $singleAuction->winner->username . "Please contact him for successful delivery";
                    $notification_owner->save();

                }


            } else {
                FailedTransaction::create([
                    'user_id' => $lastBid->user_id,
                    'auction_id' => $singleAuction->id,
                    'details' => 'تم فشل عملية الدفع لعدم وجود رصيد ومشكلة في البيانات'
                ]);
            }

            //sms

            shamel_sms($singleAuction->user->mobile, $notification_owner->title['ar']);

        }
        $this->info('Hourly Update has been send successfully');
    }
}
