<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Ad;
use App\Models\AdOrder;
use Carbon\Carbon;
use Illuminate\Http\Request;

class AdOrdersController extends Controller
{

    public function index()
    {
        $rows = AdOrder::all();
        return view('admin.ad_orders.index', compact('rows'));
    }


    public function ad_order_search(Request $request)
    {
        $request->validate([
            'from' => 'required',
            'to' => 'required'
        ]);
        $rows = AdOrder::whereDate('created_at', '>=', Carbon::parse($request->from))->whereDate('created_at', '<=', Carbon::parse($request->to))->get();
        return view('admin.ad_orders.index', compact('rows'));
    }

}
