<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\CancelMessages;
use Illuminate\Http\Request;

class CancelMessagesController extends Controller
{
    public function index()
    {
        $rows = CancelMessages::all();
        return view('admin.cancel_messages.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.cancel_messages.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required',
            'body' => 'required'
        ]);
        CancelMessages::create($request->all());
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('cancel_messages.index');
    }

    public function edit($id)
    {
        $row = CancelMessages::findOrFail($id);
        return view('admin.cancel_messages.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'title' => 'required',
            'body' => 'required'
        ]);
        CancelMessages::whereId($id)->update($request->except(['_token', '_method']));
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('cancel_messages.index');
    }

    public function destroy($id)
    {
        CancelMessages::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('cancel_messages.index');
    }
}
