<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use Illuminate\Http\Request;

class CommissionTransfer extends Controller
{
    public function index()
    {
        $rows = \App\Models\CommissionTransfer::orderByDesc('id')->get();
        return view('admin.commissionTransfer.index', compact('rows'));
    }

    public function destroy($id)
    {
        \App\Models\CommissionTransfer::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return redirect()->back();
    }

    public function commission_transfer_search(Request $request)
    {
        $request->validate([
            'from' => 'required',
            'to' => 'required'
        ]);
        $rows = \App\Models\CommissionTransfer::whereDate('created_at', '>=', Carbon::parse($request->from))->whereDate('created_at', '<=', Carbon::parse($request->to))->get();
        return view('admin.commissionTransfer.index', compact('rows'));
    }

}
