<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\FailedTransaction;
use Carbon\Carbon;
use Illuminate\Http\Request;

class FailedTransactions extends Controller
{
    public function index()
    {

        $rows = FailedTransaction::orderByDesc('id')->paginate(20);
        return view('admin.failed_transactions.index', compact('rows'));
    }

    public function destroy($id)
    {
        FailedTransaction::destroy($id);
        toast('تمت العملية بنجاح', 'success');
    }

    public function failed_transactions_search(Request $request)
    {
        $request->validate([
            'from' => 'required',
            'to' => 'required'
        ]);
        $rows = FailedTransaction::whereDate('created_at', '>=', Carbon::parse($request->from))->whereDate('created_at', '<=', Carbon::parse($request->to))->get();
        return view('admin.failed_transactions.index', compact('rows'));
    }

}
