<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;

use App\Models\AdComment;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use RealRashid\SweetAlert\Facades\Alert;

class HomeController extends Controller
{
    public function login()
    {
        if (\Auth::guard('admin')->check()) {
            return redirect()->route('admin');
        }
        return view('admin.auth.login');

    }


    public function authenticate(Request $request)
    {

        if (\Auth::guard('admin')->attempt(['email' => $request['email'], 'password' => $request['password']])) {

            toast('مرحبا بكم في لوحة التحكم', 'success', 'left');

            return redirect()->route('admin');
        } else {

            Alert::error('خطأ في البيانات', 'البريد الألكتروني أو الرقم السري خطأ');

            return redirect()->back();
        }
    }

    public function index()
    {
        return view('admin.auth.index');
    }

    public function admin_logout()
    {
        \Auth::guard('admin')->logout();
        toast('تم تسجيل الخروج بنجاح', 'success', 'top-left');

        return redirect()->route('admin_login');
    }

    public function select_delete(Request $request)
    {
        if (!$request->ids) {
            toast('برجاء الاختيار للحذف', 'error', 'top-left');
            return redirect()->back();
        }
        $model = "\App\Models" . '\\' . $request->model;


        foreach ($request->ids as $id) {
            if ($model == "\App\Models\Report") {
             $deleted_model =   $model::find($id);

                if ($deleted_model->comment_id){
                    AdComment::destroy($deleted_model->comment_id);
                }

            }
            $model::destroy($id);
        }
        toast('تم الحذف بنجاح', 'success', 'top-left');
        return redirect()->back();

    }
}
