<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Auction;
use Illuminate\Http\Request;
use Carbon\Carbon;

class ReportAuctionsController extends Controller
{
    public function index(){
        $rows = Auction::where('winner_id', '!=', null)->where('price', '!=', null)->where('paid', 'true')->latest()->get();
        return view('admin.report_auctions.index', compact('rows'));
    }

    public function report_auctions_search(Request $request)
    {
        $request->validate([
            'from' => 'required',
            'to' => 'required'
        ]);
        $rows = Auction::where('winner_id', '!=', null)->where('price', '!=', null)->where('paid', 'true')->whereDate('created_at', '>=', Carbon::parse($request->from))->whereDate('created_at', '<=', Carbon::parse($request->to))->latest()->get();
        return view('admin.report_auctions.index', compact('rows'));
    }
}
