<?php

namespace App\Http\Controllers\Admin;

use App\Models\Setting;
use Illuminate\Http\Request;
use App\Models\SettingHistory;
use App\Http\Controllers\Controller;

class SettingsController extends Controller
{
    public function index()
    {
        $row = Setting::first();
        return view('admin.settings.index', compact('row'));
    }

    public function rules()
    {
        return [
            'haraj_commission' => 'numeric|required',
            'video' => 'required',
            'police_ar' => 'required',
            'police_en' => 'required',
            'auction_des_ar' => 'required',
            'auction_des_en' => 'required',
            'auction_police_ar' => 'required',
            'auction_police_en' => 'required',
            'normal_auction_description_ar' => 'required',
            'normal_auction_description_en' => 'required',
            'direct_auction_description_ar' => 'required',
            'direct_auction_description_en' => 'required',
            'terms_en' => 'required',
            'terms_ar' => 'required',
            'policy_en' => 'required',
            'policy_ar' => 'required',
            'banned_products_en' => 'required',
            'banned_products_ar' => 'required',
            'security_policies_en' => 'required',
            'security_policies_ar' => 'required',
            'common_questions_en' => 'required',
            'common_questions_ar' => 'required',
            'pledge_ar' => 'required',
            'pledge_en' => 'required',
        ];
    }

    public function update(Request $request, $id)
    {

        $this->validate($request, $this->rules());


        $setting = Setting::find($id);
        

        if ($setting['police->ar'] !== $request['police_ar']) {
            SettingHistory::create([
                'past_police->ar' => $setting['police->ar'],
                'new_police->ar' => $request['police_ar'],
            ]);
        }

        if ($setting['police->en'] !== $request['police_en']) {
            SettingHistory::create([
                'past_police->en' => $setting['police->en'],
                'new_police->en' => $request['police_en'],
            ]);
        }


        if ($setting['auction_police->ar'] !== $request['auction_police_ar']) {
            SettingHistory::create([
                'past_auction_police->ar' => $setting['auction_police_ar'],
                'new_auction_police->ar' => $request['auction_police_en'],
            ]);
        }

        if ($setting['auction_police->en'] !== $request['auction_police_en']) {
            SettingHistory::create([
                'past_auction_police->en' => $setting['auction_police_en'],
                'new_auction_police->en' => $request['auction_police_en'],
            ]);
        }


        if ($setting['terms->ar'] !== $request['terms_ar']) {
           $terms =  SettingHistory::create([
                'past_terms->ar' => $setting['terms->ar'],
                'new_terms->ar' => $request['terms_ar'],
            ]);
        }
        

        if ($setting['terms->en'] !== $request['terms_en']) {
            $terms->update([
                'past_terms->en' => $setting['terms->en'],
                'new_terms->en' => $request['terms_en'],
            ]);
        }

        if ($setting['policy->ar'] !== $request['policy_ar']) {
                $policy = SettingHistory::create([
                    'past_policy->ar' => $setting['policy->ar'],
                    'new_policy->ar' => $request['policy_ar'],
                ]);
        }



        if ($setting['policy->en'] !== $request['policy_en']) {
            $policy->update([
                'past_policy->en' => $setting['policy->en'],
                'new_policy->en' => $request['policy_en'],
            ]);
    }

        if ($setting['security_policies->ar'] !== $request['security_policies_ar']) {
            $security = SettingHistory::create([
                    'past_security_policies->ar' => $setting['security_policies->ar'],
                    'new_security_policies->ar' => $request['security_policies_ar'],
                ]);
        }


        if ($setting['security_policies->en'] !== $request['security_policies_en']) {
            $security->update([
                'past_security_policies->en' => $setting['security_policies->en'],
                'new_security_policies->en' => $request['security_policies_en'],
            ]);
        }


        $setting['fb'] = $request['fb'];
        $setting['twitter'] = $request['twitter'];
        $setting['google'] = $request['google'];
        $setting['instagram'] = $request['instagram'];
        $setting['linkedin'] = $request['linkedin'];
        $setting['whatsapp'] = $request['whatsapp'];
        $setting['snap'] = $request['snap'];
        $setting['telegram'] = $request['telegram'];
        $setting['haraj_commission'] = $request['haraj_commission'];
        $setting['video'] = $request['video'];
        $setting['police->ar'] = $request['police_ar'];
        $setting['police->en'] = $request['police_en'];
        $setting['auction_des->ar'] = $request['auction_des_ar'];
        $setting['auction_des->en'] = $request['auction_des_en'];
        $setting['auction_police->ar'] = $request['auction_police_ar'];
        $setting['auction_police->en'] = $request['auction_police_en'];
        $setting['normal_auction_description->ar'] = $request['normal_auction_description_ar'];
        $setting['normal_auction_description->en'] = $request['normal_auction_description_en'];
        $setting['direct_auction_description->ar'] = $request['direct_auction_description_ar'];
        $setting['direct_auction_description->en'] = $request['direct_auction_description_en'];

        $setting['terms->ar'] = $request['terms_ar'];
        $setting['terms->en'] = $request['terms_en'];
        $setting['policy->ar'] = $request['policy_ar'];
        $setting['policy->en'] = $request['policy_en'];
        $setting['banned_products->ar'] = $request['banned_products_ar'];
        $setting['banned_products->en'] = $request['banned_products_en'];
        $setting['security_policies->ar'] = $request['security_policies_ar'];
        $setting['security_policies->en'] = $request['security_policies_en'];
        $setting['common_questions->ar'] = $request['common_questions_ar'];
        $setting['common_questions->en'] = $request['common_questions_en'];
        $setting['pledge->ar'] = $request['pledge_ar'];
        $setting['pledge->en'] = $request['pledge_en'];
        $setting['show_video'] = $request['show_video'] ?? 0;

        $setting->update();



        toast('تمت تعديل الإعدادات بنجاح', 'success', 'left');
        return redirect()->back();
    }
}
