<?php

namespace App\Http\Controllers\Site;

use App\Http\Controllers\Controller;
use App\Models\Ad;
use App\Models\AdOrder;
use App\Models\Notification;
use App\Models\Setting;
use Illuminate\Http\Request;

class AdOrdersController extends Controller
{

    public function payment_checkout(Request $request)
    {

        $request->validate([
            'ad_id' => 'required|exists:ads,id',
            'payment_method' => 'required|in:visa,mada'
        ]);
        $payment_method = $request->payment_method;
        $ad = Ad::find($request->ad_id);
        $idUniqid = uniqid();
        $userEmail = \Auth::user()->email;
        if ($payment_method == 'mada') {
            $entityId = '8ac7a4c78111d8c8018113b8388d0f9b';
        } else {
            $entityId = '8ac7a4c88111dadb018113b6a04d0ffb';
        }
        $url = "https://eu-test.oppwa.com/v1/checkouts";
        $data = "entityId=$entityId" .
            "&amount=$ad->price" .
            "&currency=SAR" .
            "&paymentType=DB" .
//            "&testMode=EXTERNAL" .
            "&testMode=INTERNAL" .
            "&merchantTransactionId=$idUniqid" .
            "&customer.email=$userEmail" .
            "&billing.street1=Riyadh" .
            "&billing.city=Riyadh" .
            "&billing.state=Riyadh" .
            "&billing.country=SA" .
            "&billing.postcode=12214" .
            "&customer.givenName=era" .
            "&customer.surname=era";


        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Authorization:Bearer OGFjN2E0Yzg4MTExZGFkYjAxODExM2I2MzljNTBmZjd8YjQ4d0hOYmdybQ=='));
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $responseData = curl_exec($ch);
        if (curl_errno($ch)) {
            return curl_error($ch);
        }
        curl_close($ch);

        $checkout_id = json_decode($responseData)->id;

        return view('site.payment.pay_ad', compact('checkout_id', 'ad', 'payment_method'));
    }


    public function formPayment(Request $request, $payment_type, $ad_id)
    {
        $id = $request->input('id');
        $ad = Ad::find($ad_id);
        if ($payment_type == 'mada') {
            $entityId = '8ac7a4c78111d8c8018113b8388d0f9b';
        } else {
            $entityId = '8ac7a4c88111dadb018113b6a04d0ffb';
        }
        $url = "https://eu-test.oppwa.com/v1/checkouts/$id/payment";
        $url .= "?entityId=$entityId";

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Authorization:Bearer OGFjN2E0Yzg4MTExZGFkYjAxODExM2I2MzljNTBmZjd8YjQ4d0hOYmdybQ=='));
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $responseData = curl_exec($ch);
        if (curl_errno($ch)) {
            return curl_error($ch);
        }
        curl_close($ch);
        $status = json_decode($responseData)->result->code;
//        return $responseData;

        if ($status == '000.100.112' || $status == '000.100.110' || $status == '000.000.000') {


            $commission = 0;
            $setting = Setting::first();
            $haraj_commission = $setting->haraj_commission ? $setting->haraj_commission : $commission;

            $ad_order = new AdOrder();
            $ad_order->user_id = \Auth::id();
            $ad_order->ad_id = $ad->id;
            $ad_order->amount = $ad->price;
            $ad_order->payment_method = $payment_type;
            $ad_order->commission = round($ad->price * $haraj_commission / 100, 1);
            $ad_order->save();

            $notification = new Notification();
            $notification['title->ar'] = 'شراء منتج من حراج';
            $notification['title->en'] = 'Buying a product from Haraj';
            $notification['body->ar'] = 'تم شراء منتج من حراج بطلب رقم ' . $ad_order->id;
            $notification['body->en'] = 'A product was purchased from Haraj by ordering a number ' . $ad_order->id;
            $notification->ad_id = $request->ad_id;
            $notification->user_id = \Auth::id();
            $notification->type = 'order';
            $notification->seen = 'false';
            $notification->save();

            alert(\Lang::get('site.paymentSuccessfully'), \Lang::get('site.requestNotifications'), 'success');
            return redirect()->route('advertisement_details', $request->ad_id);

        }
        alert(\Lang::get('site.paymentStatus'), \Lang::get('site.paymentFailed'), 'error');
        return redirect()->route('advertisement_details', $request->ad_id);

    }


}
