<?php

namespace App\Http\Controllers\Site;

use App\Http\Controllers\Controller;
use App\Models\Messages;
use App\Models\Room;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class MessagesController extends Controller
{

    protected $users_result;

    public function search_rooms(Request $request)
    {
        if ($request->user_name) {
//            $user = \Auth::user();
//            $check = Room::where(['sender_id' => $id, 'receiver_id' => $user->id])->orWhere(['sender_id' => $user->id, 'receiver_id' => $id])->first();
            $users_in = User::where('username', 'like', "%$request->user_name%")->where('status', 'active')->where('id', '!=', \Auth::user()->id)->pluck('id');
            $this->users_result = $users_in;
            $rooms = Room::where(function ($query) {
                $query->where('receiver_id', \Auth::user()->id);
                $query->whereIn('sender_id', $this->users_result);
            })->orWhere(function ($query) {
                $query->where('sender_id', \Auth::user()->id);
                $query->whereIn('receiver_id', $this->users_result);
            })->get();
            $view_rooms = view('site.messages.rooms', compact('rooms'))->render();
            return response()->json(['html' => $view_rooms]);
        } else {
            $sender = Room::where('sender_id', '=', \Auth::user()->id)->whereHas('chats')->orderByDesc('created_at')->pluck('id');
            $receiver = Room::where('receiver_id', '=', \Auth::user()->id)->whereHas('chats')->orderByDesc('created_at')->pluck('id');
            $rooms_all = $sender->merge($receiver);
            $rooms = Room::whereIn('id', $rooms_all)->whereHas('chats')->OrderByDesc('updated_at')->get();

            $view_rooms = view('site.messages.rooms', compact('rooms'))->render();
            return response()->json(['html' => $view_rooms]);
        }
    }


    public function messages(Request $request, $id = null)
    {
        $user = \Auth::user();

        $seen = Messages::where(['receiver_id' => \Auth::user()->id, 'read' => 'false'])->get();
        if (count($seen) != 0) {
            foreach ($seen as $seen_message) {
                $seen_message->read = 'true';
                $seen_message->update();
            }
        }

        if ($id != null) {
            $check_receiver = Room::where(['sender_id' => (integer)$id, 'receiver_id' => $user->id])->first();
            $check_sender = Room::where(['sender_id' => $user->id, 'receiver_id' => (integer)$id])->first();
            if ($check_sender == null && $check_receiver == null) {
                $room_in = new Room();
                $room_in->sender_id = $user->id;
                $room_in->receiver_id = $id;
                $room_in->name = uniqid();
                $room_in->save();
            }
        }

        $sender = Room::where('sender_id', '=', $user->id)->whereHas('chats')->orderByDesc('updated_at')->pluck('id');
        if (isset($check_receiver)) {
            $check_receiver_in = $check_receiver->has('chats')->count();
            if ($check_receiver_in == 0) {
                $receiver_in = Room::where('receiver_id', '=', $user->id)->whereHas('chats')->orderByDesc('updated_at')->pluck('id');
                $id_in = $check_receiver->id;
                $receiver_in[] = $id_in;
                $receiver = $receiver_in;
            } else {
                $receiver = Room::where('receiver_id', '=', $user->id)->whereHas('chats')->orderByDesc('updated_at')->pluck('id');
            }
        } else {
            $receiver = Room::where('receiver_id', '=', $user->id)->whereHas('chats')->orderByDesc('updated_at')->pluck('id');
        }
        if ($sender->count() > 0) {
            $all_rooms = $sender->merge($receiver);
            $rooms = Room::whereIn('id', $all_rooms)->whereHas('chats')->orderByDesc('updated_at')->get();
        } else {
            $all_rooms = $receiver;
            $rooms = Room::whereIn('id', $all_rooms)->whereHas('chats')->orderByDesc('updated_at')->get();
        }
        if ($rooms->count() > 0) {
            $messages = Messages::where('room_id', $rooms[0]['id'])->get();
        } else {
            $messages = [];
        }
//        dd($rooms, $messages);
        if (isset($room_in)) {
            return view('site.messages.index', compact('rooms', 'messages', 'room_in'));
        } else {
            $room_in = null;
            return view('site.messages.index', compact('rooms', 'messages', 'room_in'));
        }
    }

    public function send_out_message(Request $request)
    {
        $this->validate($request, [
            'message' => 'required',
            'user_id' => 'required'
        ]);
        $user = \Auth::user();
        $check_receiver = Room::where(['sender_id' => $request->user_id, 'receiver_id' => $user->id])->first();
        $check_sender = Room::where(['sender_id' => $user->id, 'receiver_id' => $request->user_id])->first();
        if ($check_sender == null && $check_receiver == null) {
            $room_in = new Room();
            $room_in->sender_id = $user->id;
            $room_in->receiver_id = $request->user_id;
            $room_in->name = uniqid();
            $room_in->save();
            $message = new Messages();
            $message->message = $request->message;
            $message->room_id = $room_in->id;
            $message->sender_id = $user->id;
            $message->read = 'false';
            $message->receiver_id = $request->user_id;
            $message->save();
        } else {
            if (isset($check_sender)) {
                $old_room = $check_sender->id;
            } else {
                $old_room = $check_receiver->id;
            }
            $message = new Messages();
            $message->message = $request->message;
            $message->room_id = $old_room;
            $message->sender_id = $user->id;
            $message->read = 'false';
            $message->receiver_id = $request->user_id;
            $message->save();
            $room_update = Room::find($old_room);
            $room_update->updated_at = Carbon::now();
            $room_update->update();
        }
        toast(trans('site.sent_success'), 'success');
        return redirect()->back();
    }

    public function send_message(Request $request)
    {
        $user = \Auth::user();

        $seen = Messages::where('receiver_id', \Auth::user()->id)->where('read', '=', 'false')->get();
        if (count($seen) != 0) {
            foreach ($seen as $seen_message) {
                $seen_message->read = 'true';
                $seen_message->update();
            }
        }

        $room = Room::find($request->room_id);

        $sms = $request->message;
        if ($sms != null) {
            $message = new Messages();
            $message->message = $sms;
            $message->room_id = $room->id;
            $message->sender_id = $user->id;
            $message->read = 'false';
            $message->receiver_id = $user->id == $room->sender->id ? $room->receiver->id : $room->sender->id;
            $message->save();
            $room_update = Room::find($room->id);
            $room_update->updated_at = Carbon::now();
            $room_update->update();
        }
        $sender = Room::where('sender_id', '=', $user->id)->whereHas('chats')->orderByDesc('updated_at')->pluck('id');
        $receiver = Room::where('receiver_id', '=', $user->id)->whereHas('chats')->orderByDesc('updated_at')->pluck('id');

        $rooms = $sender->merge($receiver)->toArray(); // 1234
        $rooms[] = $room->id;
        $dd = array_unique($rooms);
        $rooms = Room::whereIn('id', $dd)->whereHas('chats')->orderByDesc('updated_at')->get();

        $messages = $room->chats()->get();
        $view_messages = view('site.messages.chat', compact('messages'))->render();
        $view_rooms = view('site.messages.rooms', compact('rooms'))->render();

        return response()->json(['html_messages' => $view_messages, 'html_rooms' => $view_rooms]);

    }


    public function delete_message($id)
    {
        Room::where('id', $id)->delete();
        return redirect()->back();
    }
}
