<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class User
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (\Auth::check() && \Auth::user()->status == 'active' && \Auth::user()->verified == 'true') {
            return $next($request);
        } elseif (\Auth::check() && \Auth::user()->status == 'not_active' && \Auth::user()->verified == 'false') {
            toast(trans('site.code_sent'), 'success', 'left');
            return redirect()->route('activate_account');
        } elseif (\Auth::check() && \Auth::user()->status == 'not_active') {
            \Auth::logout();
            toast(trans('site.youAreBlocked'), 'error', 'left');
            return redirect()->route('login');
        } else {
            toast(trans('site.login_first'), 'error', 'left');
            return redirect()->route('login');
        }
    }
}
