<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Ad extends Model
{

    protected $table = 'ads';
    public $timestamps = true;
    protected $fillable = array('user_id', 'title', 'city_id', 'lat', 'lng', 'category_id', 'year', 'description', 'car_type', 'price', 'price_show', 'mobile', 'status','code','cancel_message', 'pubg_email', 'pubg_password');
    protected $appends = ['report_count'];

    public function getReportCountAttribute()
    {
    return Report::where('ad_id',$this->id)->count();
    }

    public function city()
    {
        return $this->belongsTo(City::class, 'city_id');
    }

    public function category()
    {
        return $this->belongsTo(HarajCategory::class, 'category_id');
    }

    public function comments()
    {
        return $this->hasMany(AdComment::class, 'ad_id');
    }

    public function images()
    {
        return $this->hasMany(AdImage::class, 'ad_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function haraj_type()
    {
        return $this->belongsTo(HarajType::class, 'type_id');
    }

}
