<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Auction extends Model
{

    protected $table = 'auctions';
    public $timestamps = true;
    protected $fillable = array('notification', 'check_hour', 'check_twelve', 'end_date', 'user_id', 'city_id', 'lat', 'lng', 'title', 'category_id', 'time', 'date', 'type', 'description', 'last_price', 'timer', 'code', 'winner_id', 'owner_accept', 'status', 'paid', 'code_recieve', 'watches_count', 'practice_count', 'price', 'cancel_message', 'paid_price', 'pubg_email', 'pubg_password', 'commission');

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function city()
    {
        return $this->belongsTo(City::class, 'city_id');
    }

    public function category()
    {
        return $this->belongsTo(AuctionCategory::class, 'category_id');
    }

    public function winner()
    {
        return $this->belongsTo(User::class, 'winner_id');
    }

    public function statistics()
    {
        return $this->hasMany(Statistic::class, 'auction_id');
    }

    public function images()
    {
        return $this->hasMany(AuctionImages::class, 'auction_id');
    }

    public function favourites()
    {
        return $this->hasMany(Favorite::class, 'auction_id');
    }

    public function bids()
    {
        return $this->hasMany(Bid::class, 'auction_id');
    }

    public function subscriptions()
    {
        return $this->belongsToMany(User::class, 'auction_subscriptions', 'auction_id', 'user_id');
    }

    public function watches()
    {
        return $this->belongsToMany(User::class, 'auction_watches', 'auction_id', 'user_id');
    }

    public function failed_transaction()
    {
        return $this->hasMany(FailedTransaction::class, 'auction_id');
    }


}
