<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class HarajCategory extends Model
{

    protected $table = 'haraj_categories';
    public $timestamps = true;
    protected $fillable = array('name', 'image', 'parent_id', 'car_option');
    protected $casts = ['name' => 'json'];

    public function parent()
    {
        return   $this->belongsTo(HarajCategory::class, 'parent_id');
    }

    public function children()
    {
        return $this->hasMany(HarajCategory::class, 'parent_id');
    }


    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/haraj_categories/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/haraj_categories/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
}
