<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Notification extends Model
{

    protected $table = 'notifications';
    public $timestamps = true;
    protected $fillable = array('title', 'body', 'user_id', 'ad_id', 'auction_id', 'type', 'seen');
    protected $casts = ['title' => 'json', 'body' => 'json'];

    public function user()
    {
        return    $this->belongsTo(User::class, 'user_id');
    }

    public function ad()
    {
        return   $this->belongsTo(Ad::class, 'ad_id');
    }

    public function auction()
    {
        return   $this->belongsTo(Auction::class, 'auction_id');
    }
}
