<?php

namespace App\Providers;

use App\Models\City;
use App\Models\Setting;
use Illuminate\Support\ServiceProvider;
use Illuminate\Pagination\Paginator;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Paginator::useBootstrap();

        $setting = Setting::first();
        $cities = City::where('type', 'city')->get();
        view()->share([
            'setting' => $setting,
            'cities' => $cities,
        ]);
    }
}
