<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAuctionsTable extends Migration {

	public function up()
	{
		Schema::create('auctions', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('user_id')->unsigned();
			$table->integer('city_id')->unsigned()->nullable();
			$table->string('lat', 191)->nullable();
			$table->string('lng', 191)->nullable();
			$table->string('title', 191)->nullable();
			$table->integer('category_id')->unsigned()->nullable();
			$table->time('time')->nullable();
			$table->timestamp('date')->nullable();
			$table->enum('type', array('normal', 'direct'))->nullable();
			$table->text('description')->nullable();
			$table->string('last_price', 191)->nullable();
			$table->string('timer', 191)->default('30');
			$table->string('code', 191)->nullable();
			$table->integer('winner_id')->unsigned()->nullable();
			$table->enum('owner_accept', array('true', 'false'))->nullable();
			$table->enum('status', array('active', 'not_active', 'cancel'))->nullable();
			$table->enum('paid', array('true', 'false'))->nullable();
			$table->enum('code_recieve', array('true', 'false', 'wait'))->nullable();
			$table->string('watches_count', 191)->nullable();
			$table->string('practice_count', 191)->nullable();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('auctions');
	}
}
