<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('user_credits', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('suggests', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('user_rates', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('admins')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('user_rates', function(Blueprint $table) {
			$table->foreign('rated_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('transfers', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('transfers', function(Blueprint $table) {
			$table->foreign('ad_id')->references('id')->on('ads')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('haraj_categories', function(Blueprint $table) {
			$table->foreign('parent_id')->references('id')->on('haraj_categories')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('ads', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('ads', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('haraj_categories')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('ad_images', function(Blueprint $table) {
			$table->foreign('ad_id')->references('id')->on('ads')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('favorites', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('favorites', function(Blueprint $table) {
			$table->foreign('ad_id')->references('id')->on('ads')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('favorites', function(Blueprint $table) {
			$table->foreign('auction_id')->references('id')->on('auctions')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('reports', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('reports', function(Blueprint $table) {
			$table->foreign('ad_id')->references('id')->on('ads')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('reports', function(Blueprint $table) {
			$table->foreign('auction_id')->references('id')->on('auctions')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('ad_comments', function(Blueprint $table) {
			$table->foreign('ad_id')->references('id')->on('ads')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('ad_comments', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->foreign('ad_id')->references('id')->on('ads')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->foreign('auction_id')->references('id')->on('auctions')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('auction_categories', function(Blueprint $table) {
			$table->foreign('parent_id')->references('id')->on('auction_categories')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('auction_categories')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->foreign('winner_id')->references('id')->on('users')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('statistics', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('statistics', function(Blueprint $table) {
			$table->foreign('auction_id')->references('id')->on('auctions')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('bids', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('bids', function(Blueprint $table) {
			$table->foreign('auction_id')->references('id')->on('auctions')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('user_credits', function(Blueprint $table) {
			$table->dropForeign('user_credits_user_id_foreign');
		});
		Schema::table('suggests', function(Blueprint $table) {
			$table->dropForeign('suggests_user_id_foreign');
		});
		Schema::table('user_rates', function(Blueprint $table) {
			$table->dropForeign('user_rates_user_id_foreign');
		});
		Schema::table('user_rates', function(Blueprint $table) {
			$table->dropForeign('user_rates_rated_id_foreign');
		});
		Schema::table('transfers', function(Blueprint $table) {
			$table->dropForeign('transfers_user_id_foreign');
		});
		Schema::table('transfers', function(Blueprint $table) {
			$table->dropForeign('transfers_ad_id_foreign');
		});
		Schema::table('haraj_categories', function(Blueprint $table) {
			$table->dropForeign('haraj_categories_parent_id_foreign');
		});
		Schema::table('ads', function(Blueprint $table) {
			$table->dropForeign('ads_city_id_foreign');
		});
		Schema::table('ads', function(Blueprint $table) {
			$table->dropForeign('ads_category_id_foreign');
		});
		Schema::table('ad_images', function(Blueprint $table) {
			$table->dropForeign('ad_images_ad_id_foreign');
		});
		Schema::table('favorites', function(Blueprint $table) {
			$table->dropForeign('favorites_user_id_foreign');
		});
		Schema::table('favorites', function(Blueprint $table) {
			$table->dropForeign('favorites_ad_id_foreign');
		});
		Schema::table('favorites', function(Blueprint $table) {
			$table->dropForeign('favorites_auction_id_foreign');
		});
		Schema::table('reports', function(Blueprint $table) {
			$table->dropForeign('reports_user_id_foreign');
		});
		Schema::table('reports', function(Blueprint $table) {
			$table->dropForeign('reports_ad_id_foreign');
		});
		Schema::table('reports', function(Blueprint $table) {
			$table->dropForeign('reports_auction_id_foreign');
		});
		Schema::table('ad_comments', function(Blueprint $table) {
			$table->dropForeign('ad_comments_ad_id_foreign');
		});
		Schema::table('ad_comments', function(Blueprint $table) {
			$table->dropForeign('ad_comments_user_id_foreign');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->dropForeign('notifications_user_id_foreign');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->dropForeign('notifications_ad_id_foreign');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->dropForeign('notifications_auction_id_foreign');
		});
		Schema::table('auction_categories', function(Blueprint $table) {
			$table->dropForeign('auction_categories_parent_id_foreign');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->dropForeign('auctions_user_id_foreign');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->dropForeign('auctions_city_id_foreign');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->dropForeign('auctions_category_id_foreign');
		});
		Schema::table('auctions', function(Blueprint $table) {
			$table->dropForeign('auctions_winner_id_foreign');
		});
		Schema::table('statistics', function(Blueprint $table) {
			$table->dropForeign('statistics_user_id_foreign');
		});
		Schema::table('statistics', function(Blueprint $table) {
			$table->dropForeign('statistics_auction_id_foreign');
		});
		Schema::table('bids', function(Blueprint $table) {
			$table->dropForeign('bids_user_id_foreign');
		});
		Schema::table('bids', function(Blueprint $table) {
			$table->dropForeign('bids_auction_id_foreign');
		});
	}
}