@extends('admin.layout.master')
@section('title', "تحويلات العمولة")
@section('content')

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تحويلات العمولة</h4>
            </div>
        </div>
    </div>
    <div class="row">

        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="{{route('commission_transfer_search')}}" >
                    @csrf
                    <div class="form-group">
                        <label for="exampleInputEmail1">من تاريخ</label>
                        <input type="date" class="form-control" value="{{old('from')}}" name="from"
                               id="exampleInputEmail1">
                        @if ($errors->has('from'))
                            <small class="text-danger">{{ $errors->first('from') }}</small>
                        @endif
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">الى تاريخ</label>
                        <input type="date" class="form-control" value="{{old('to')}}" name="to"
                               id="exampleInputEmail1">
                        @if ($errors->has('to'))
                            <small class="text-danger">{{ $errors->first('to') }}</small>
                        @endif
                    </div>

                    <button type="submit" class="btn btn-success">بحث</button>
                </form>
            </div>
        </div>



        <div class="col-12">


            <form method="POST" action="{{route('select_delete')}}">
                @csrf
                <input type="hidden" name="model" value="CommissionTransfer">

                <div class="card-box">
                    {{--                 @include('admin.layout.message')--}}

                    <h4 class="header-title">تحويلات العمولة</h4>

                    <button style="margin-bottom: 15px; display: inline-block; float: left" type="submit"
                            class="btn btn-danger waves-effect waves-light"> حذف
                    </button>
                    <div class="clearfix"></div>

                    <table id="example" class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">
                            <th>#</th>
                            <th>إسم العميل</th>
                            <th>إسم البنك</th>
                            <th>المرفق</th>
                            <th class="text-center"><input type="checkbox" id="checkAll"> تحديد الكل للحذف
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $i = 1;
                        ?>
                        @foreach($rows as $row)
                            <tr>
                                <td>{{$i}}</td>
                                <td>{{$row->user->username}}</td>
                                <td>{{$row->bank->bank_name}}</td>
                                <td>
                                    <button type="button" class="btn btn-info waves-effect waves-light"
                                            data-toggle="modal" data-target="#Image{{$row->id}}">عرض المرفق
                                    </button>

                                </td>

                                <td class="text-center">
                                    <input name="ids[]" value="{{$row->id}}" type="checkbox" id="checkAll">
                                </td>

                            </tr>
                            <?php
                            $i++;
                            ?>
                            <div id="Image{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">المرفق</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <img src="{{$row->image}}" style="width: 150px;height: 200px">

                                        </div>
                                        <div class="modal-footer">

                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div><!-- /.modal -->

                        @endforeach

                        </tbody>
                    </table>
                </div>

            </form>

        </div>
    </div> <!-- end row -->



@stop
