@extends('admin.layout.master')
@section('title', "إعلانات الحراجات")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">إعلانات الحراجات</h4>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="{{route('ads_search')}}" >
                    @csrf
                    <div class="form-group">
                        <label for="exampleInputEmail1">من تاريخ</label>
                        <input type="date" class="form-control" value="{{old('from')}}" name="from"
                               id="exampleInputEmail1">
                        @if ($errors->has('from'))
                            <small class="text-danger">{{ $errors->first('from') }}</small>
                        @endif
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">الى تاريخ</label>
                        <input type="date" class="form-control" value="{{old('to')}}" name="to"
                               id="exampleInputEmail1">
                        @if ($errors->has('to'))
                            <small class="text-danger">{{ $errors->first('to') }}</small>
                        @endif
                    </div>

                    <button type="submit" class="btn btn-success">بحث</button>
                </form>
            </div>
        </div>

        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="{{route('select_delete')}}">
                    @csrf
                    <input type="hidden" name="model" value="Ad">


                    <h4 class="header-title" style="display: inline-block; float: right">إعلانات الحراجات</h4>
                    <button style="display: inline-block; float: left; margin-bottom: 15px" type="submit"
                            class="btn btn-danger waves-effect waves-light"
                    >حذف
                    </button>
                    <div class="clearfix"></div>

                    <table id="example" class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">
                            <th>#</th>
                            <th>إسم الحراج</th>
                            <th>رقم الحراج</th>
                            <th>إسم صاحب الحراج</th>
                            <th>المدينة</th>
                            <th>القسم</th>
                            <th>السعر</th>
                            <th>رقم الجوال</th>
                            <th>الحالة</th>
                            <th>التحكم</th>
                            <th class="text-center"><input type="checkbox" id="checkAll"> تحديد الكل للحذف

                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $i = 1;
                        ?>
                        @foreach($rows as $row)
                            <tr>
                                <td>{{$i}}</td>
                                <td>{{$row->title}}</td>
                                <td>{{$row->code}}</td>
                                <td><a href="{{route('users.show',$row->user->id)}}">{{$row->user->username}}</a></td>
                                <td>{{$row->city ? $row->city->name['ar'] : "لم يتم ادخال المدينة او تم حذفها"}}</td>
                                <td>{{$row->category->name['ar']}}</td>
                                <td>{{$row->price}}</td>
                                <td>{{$row->mobile}}</td>
                                <td>{{
                            ($row->status == 'active') ? "مفعل" : "غير مفعل"
                            }}</td>

                                <td>
                                    {{--                                <button type="button" class="btn btn-danger waves-effect waves-light"--}}
                                    {{--                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف--}}
                                    {{--                                </button>--}}

                                    <a href="{{route('haraj_ads.edit',$row->id)}}">
                                        <button type="button"
                                                class="btn btn-info waves-effect waves-light">تعديل
                                        </button>
                                    </a>
                                    <a href="{{route('haraj_ads.show',$row->id)}}">
                                        <button type="button"
                                                class="btn btn-success waves-effect waves-light">عرض
                                        </button>
                                    </a>

                                </td>

                                <td class="text-center">
                                    <input name="ids[]" value="{{$row->id}}" type="checkbox" id="checkAll">
                                </td>
                            </tr>
                            <?php
                            $i++;
                            ?>
                            {{--                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"--}}
                            {{--                             aria-labelledby="myModalLabel" aria-hidden="true">--}}
                            {{--                            <div class="modal-dialog">--}}
                            {{--                                <div class="modal-content">--}}
                            {{--                                    <div class="modal-header">--}}
                            {{--                                        <h5 class="modal-title"--}}
                            {{--                                            id="myModalLabel">حذف العنصر</h5>--}}
                            {{--                                        <button type="button" class="close" data-dismiss="modal"--}}
                            {{--                                                aria-hidden="true">×--}}
                            {{--                                        </button>--}}
                            {{--                                    </div>--}}
                            {{--                                    <div class="modal-body">--}}
                            {{--                                        <h5 class="font-16">هل تريد الحذف ؟</h5>--}}

                            {{--                                    </div>--}}
                            {{--                                    <div class="modal-footer">--}}

                            {{--                                        <form method="post" enctype="multipart/form-data"--}}
                            {{--                                              action="{{route('haraj_ads.destroy',$row->id)}}">--}}
                            {{--                                            @csrf--}}
                            {{--                                            @method('DELETE')--}}
                            {{--                                            <button type="button" class="btn btn-light waves-effect"--}}
                            {{--                                                    data-dismiss="modal">إلغاء--}}
                            {{--                                            </button>--}}
                            {{--                                            <button type="submit"--}}
                            {{--                                                    class="btn btn-danger waves-effect waves-light">حذف--}}
                            {{--                                            </button>--}}
                            {{--                                        </form>--}}


                            {{--                                    </div>--}}
                            {{--                                </div><!-- /.modal-content -->--}}
                            {{--                            </div><!-- /.modal-dialog -->--}}
                            {{--                        </div><!-- /.modal -->--}}

                        @endforeach

                        </tbody>
                    </table>
                </form>
            </div>
        </div>
    </div> <!-- end row -->



@stop
