@extends('admin.layout.master')
@section('title', "تقارير المزادات")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تقارير المزادات</h4>
            </div>
        </div>
    </div>
    <div class="row">


        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="{{route('report_auctions_search')}}">
                    @csrf
                    <div class="form-group">
                        <label for="exampleInputEmail1">من تاريخ</label>
                        <input type="date" class="form-control" value="{{old('from')}}" name="from"
                               id="exampleInputEmail1">
                        @if ($errors->has('from'))
                            <small class="text-danger">{{ $errors->first('from') }}</small>
                        @endif
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">الى تاريخ</label>
                        <input type="date" class="form-control" value="{{old('to')}}" name="to"
                               id="exampleInputEmail1">
                        @if ($errors->has('to'))
                            <small class="text-danger">{{ $errors->first('to') }}</small>
                        @endif
                    </div>

                    <button type="submit" class="btn btn-success">بحث</button>
                </form>
            </div>
        </div>



        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title">تقارير المزادات</h4>

                <table id="example" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>إسم المزاد</th>
                        <th>إسم صاحب المزاد</th>
                        <th>إسم الفائز</th>
                        <th>نوع المزاد</th>
                        <th>السعر</th>
                        <th>النسبة</th>
                        <th>حالة التسليم</th>
                        <th>الحالة</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        @php
                            $start_date = \Carbon\Carbon::parse($row->date);
                            $end_date = \Carbon\Carbon::parse($row->date)->addMinutes(30);
                        @endphp
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->title}}</td>
                            <td><a href="{{route('users.show',$row->user->id)}}">{{$row->user->username}}</a></td>
                            <td>{{$row->winner->username}}</td>
                            <td>{{$row->type = 'normal' ? 'مزاد عادى' : 'مزاد مباشر'}}</td>
                            <td>{{$row->price}}</td>
                            <td>{{$row->commission ? $row->commission : 0}}</td>

                            <td>
                                @if($row->code_recieve == 'wait')
                                    في الانتظار
                                @elseif($row->code_recieve == 'true')

                                    تم الاستلام
                                @else
                                    لم يتم الاستلام
                                @endif
                            </td>
                            <td>
                                @if($row->status == 'active')
                                    مفعل
                                @elseif($row->status == 'not_active')
                                    غير مفعل
                                @elseif($row->status == 'cancel')
                                    ملغى
                                @elseif($row->status == 'waiting')
                                    فى الانتظار
                                @endif
                            </td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>

{{--                                <a href="{{route('sold_auctions.edit',$row->id)}}">--}}
{{--                                    <button type="button"--}}
{{--                                            class="btn btn-info waves-effect waves-light">تعديل--}}
{{--                                    </button>--}}
{{--                                </a>--}}
                                <a href="{{route('sold_auctions.show',$row->id)}}">
                                    <button type="button"
                                            class="btn btn-success waves-effect waves-light">عرض
                                    </button>
                                </a>

                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('sold_auctions.destroy',$row->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
