@include('site.controllers.upper-header')
@include('site.controllers.header')

<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>@lang('site.addAuction')</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('site.home')</a></li>
                <li class="breadcrumb-item"><a href="#">@lang('site.addAuction')</a></li>
            </ol>
        </nav>
    </article>
</section>
<div class="container mb-60 mt-30">
    <form method="POST" action="{{route('add_auction_form')}}" enctype="multipart/form-data">
        {{csrf_field()}}
        <h4 class="px-10 py-20 mt-0 user-name user-name__borderless "><strong>@lang('site.addAuction')</strong></h4>
        {{--        <div class="row">--}}
        {{--            <div class="col-sm-12">--}}
        {{--                <div class="checkbox-card">--}}
        {{--                    <div class="relative">--}}
        {{--                        <div class="fileUpload">--}}
        {{--                            <input class="multable-photos upload" id="file-input" type="file" multiple>--}}
        {{--                            <i class="icon-camera px-5"></i>--}}
        {{--                            <small>اختر صور السلعه</small>--}}
        {{--                        </div>--}}
        {{--                        <div id="preview" class="pro-images">--}}
        {{--                        </div>--}}
        {{--                    </div>--}}
        {{--                </div>--}}
        {{--            </div>--}}
        {{--        </div>--}}

        <div class="row mt-30">
            <div class="col-sm-12">
                <h6><strong>@lang('site.auctionTitle')</strong></h6>
            </div>
            <div class="col-sm-6 my-5">
                <input value="{{old('title')}}" name="title" type="text" class="form-control"
                       placeholder="@lang('site.auctionTitle')">

                @if ($errors->has('title'))
                    <small class="text-danger">{{ $errors->first('title') }}</small>
                @endif
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select name="category_id" class="form-control select-style">
                        <option selected disabled class="option form-control">@lang('site.category')</option>
                        @foreach($categories as $category)
                            <option
                                @if(old('category_id') == $category->id)
                                selected
                                @endif
                                value="{{$category->id}}"
                                class="option form-control">{{$category->name[Lang::getLocale()]}}</option>
                        @endforeach
                    </select>
                </div>
                @if ($errors->has('category_id'))
                    <small class="text-danger">{{ $errors->first('category_id') }}</small>
                @endif
            </div>

            <div class="col-sm-6 my-5">
                <h5 class="mt-20"><strong>@lang('site.auctionDateTime')</strong></h5>
                <div class="col-sm-6  my-5 px-0">
                    <input value="{{old('date')}}" type="date" name="date" class="form-control text-right">
                    @if ($errors->has('date'))
                        <small class="text-danger">{{ $errors->first('date') }}</small>
                    @endif
                </div>
                <div class="col-sm-6 my-5  px-0">


                    <select name="time" required class="form-control text-right">
                        <option disabled selected>@lang('site.selectTime')</option>

                        <option style="direction: ltr" value="09:00">9:00 AM</option>
                        <option style="direction: ltr" value="09:30">9:30 AM</option>
                        <option style="direction: ltr" value="10:00">10:00 AM</option>
                        <option style="direction: ltr" value="10:30">10:30 AM</option>
                        <option style="direction: ltr" value="11:00">11:00 AM</option>
                        <option style="direction: ltr" value="11:30">11:30 AM</option>
                        <option style="direction: ltr" value="12:00">12:00 PM</option>
                        <option style="direction: ltr" value="12:30">12:30 PM</option>
                        <option style="direction: ltr" value="13:00">1:00 PM</option>
                        <option style="direction: ltr" value="13:30">1:30 PM</option>
                        <option style="direction: ltr" value="14:00">2:00 PM</option>
                        <option style="direction: ltr" value="14:30">2:30 PM</option>
                        <option style="direction: ltr" value="15:00">3:00 PM</option>
                        <option style="direction: ltr" value="15:30">3:30 PM</option>
                        <option style="direction: ltr" value="16:00">4:00 PM</option>
                        <option style="direction: ltr" value="16:30">4:30 PM</option>
                        <option style="direction: ltr" value="17:00">5:00 PM</option>
                        <option style="direction: ltr" value="17:30">5:30 PM</option>
                        <option style="direction: ltr" value="18:00">6:00 PM</option>
                        <option style="direction: ltr" value="18:30">6:30 PM</option>
                        <option style="direction: ltr" value="19:00">7:00 PM</option>
                        <option style="direction: ltr" value="19:30">7:30 PM</option>
                        <option style="direction: ltr" value="20:00">8:00 PM</option>
                        <option style="direction: ltr" value="20:30">8:30 PM</option>
                        <option style="direction: ltr" value="21:00">9:00 PM</option>
                    </select>

                    @if ($errors->has('time'))
                        <small class="text-danger">{{ $errors->first('time') }}</small>
                    @endif
                </div>
                <p class="mt-10 color-red"><small>@lang('site.auctionNotes')</small></p>
            </div>
            <div class="col-sm-6 my-5" style="margin-bottom: 30px !important;">

                <h5 class="mt-30"><strong>@lang('site.selectAuctionType')</strong></h5>
                <input type="radio" id="male" name="type" value="normal">
                <label for="male" class="px-10">@lang('site.normalAuction')</label>
                <input type="radio" id="female" name="type" value="direct">
                <label for="female" class="px-10">@lang('site.directAuction')</label><br>
                @if ($errors->has('type'))
                    <small class="text-danger">{{ $errors->first('type') }}</small>
                @endif

            </div>

            {{-- <div class="col-sm-3 my-5">
                <h5 class="mt-0 mb-4" style="margin-bottom: 15px"><strong>@lang('site.givePubg')</strong></h5>

                <input type="radio" id="yes" onclick="manageShow('yes')" name="pubg_show" value="true" checked>
                <label for="yes" class="px-10">@lang('site.yes')</label>


                <input type="radio" onclick="manageShow('no')" id="no" name="pubg_show" value="false">
                <label for="no" class="px-10">@lang('site.no')</label><br>

                @if ($errors->has('pubg_show'))
                    <small class="text-danger">{{ $errors->first('pubg_show') }}</small>
                @endif
            </div> --}}

            <div class="col-sm-4 my-5" id="pubg">
                <input style="margin-bottom: 15px" type="text" name="pubg_email" class="form-control"
                       value="{{old('pubg_email')}}"
                       placeholder="@lang('site.email')">
                @if ($errors->has('pubg_email'))
                    <small class="text-danger">{{ $errors->first('pubg_email') }}</small>
                @endif
                <input type="text" name="pubg_password" class="form-control" value="{{old('pubg_password')}}"
                       placeholder="@lang('site.password')">
                @if ($errors->has('password'))
                    <small class="text-danger">{{ $errors->first('pubg_password') }}</small>
                @endif
            </div>


            <div class="col-sm-12">
                <h5 class="mt-30"><strong>@lang('site.auctionDescription') </strong></h5>
                <textarea name="description" id="" cols="30" rows="6"
                          placeholder="@lang('site.auctionDescription')">{{old('description')}}</textarea>
                @if ($errors->has('description'))
                    <small class="text-danger">{{ $errors->first('description') }}</small>
                @endif
            </div>
            <div class="col-sm-12">
                <button type="submit" class="btn btn-primary mt-20">@lang('site.addAuction')</button>
            </div>
        </div>

    </form>
</div>


@include('site.controllers.footer')
