<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <!-- Tab Title -->
    <title>@lang('site.site_name')</title>
    <link rel="apple-touch-icon" href="{{asset('blackLogo.png')}}">
    <link rel="apple-touch-startup-image" href="{{asset('blackLogo.png')}}">
    <link rel="apple-touch-icon" sizes="128x128" href="{{asset('blackLogo.png')}}">
    <link rel="icon" sizes="192x192" href="{{asset('blackLogo.png')}}">
    <meta name="msapplication-TileImage" content="{{asset('blackLogo.png')}}">
    <meta name="msapplication-TileColor" content="green">
    <meta name="csrf-token" content="{{ csrf_token() }}"/>
    {!! htmlScriptTagJsApi() !!}

    <!-- Shortcut Icon -->
{{--    <link rel="shortcut icon" href="{{asset('blackLogo.png')}}"/>--}}

<!-- Font Awesome Css -->
    <link rel="stylesheet" href="{{asset('site/css/font-awesome.min.css')}}"/>
    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="{{asset('site/css/bootstrap-e.min.css')}}"/>
    @if(App::getLocale() == 'ar')
        <link rel="stylesheet" href="{{asset('site/css/bootstrap-a.min.css')}}"/>
    @endif
<!-- en - font -->
    @if(App::getLocale() == 'en')
        <link rel="stylesheet" href="{{asset('site/fonts/font/stylesheet.css')}}"/>
    @endif
<!-- ar - font -->
    @if(App::getLocale() == 'ar')
        <link rel="stylesheet" href="{{asset('site/fonts/font/ar/stylesheet.css')}}"/>
    @endif
    <link rel="stylesheet" href="{{asset('site/fonts/icons/css/fontello.css')}}"/>
    <link rel="stylesheet" href="{{asset('site/fonts/fontello/css/fontello.css')}}"/>

    <link rel="stylesheet" type="text/css" href="{{asset('site/css/slick.css')}}"/>
    <link rel="stylesheet" type="text/css" href="{{asset('site/css/slick-theme.css')}}"/>
    <!-- Owl carousel -->
    <link rel="stylesheet" href="{{asset('site/css/owl.carousel.min.css')}}" type="text/css">
    <link rel="stylesheet" href="{{asset('site/css/owl.theme.default.min.css')}}" type="text/css">
    <!-- Lightbox -->
    <link rel="stylesheet" href="{{asset('site/css/lightbox.css')}}"/>
    <link rel="stylesheet" type="text/css" href="{{asset('magnifier.css')}}">

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@200;300;400;600&display=swap" rel="stylesheet">

    <!-- Styling File -->
    @if(App::getLocale() == 'en')
        <link rel="stylesheet" href="{{asset('site/css/main.css')}}"/>
    @endif
    @if(App::getLocale() == 'ar')


        <link rel="stylesheet" href="{{asset('site/css/main-ar/main.css')}}"/>
    @endif

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

    {{--    <script type="text/javascript" src="https://platform-api.sharethis.com/js/sharethis.js#property=6148a62bfeb2560019eec732&product=sticky-share-buttons" async="async"></script>--}}
    <style>

        /* Text alignment for body */
        /* body {
            text-align: center;
        }  */


        /* Styling modal */
        .modal:before {
            content: '';
            display: inline-block;
            height: 100%;
            vertical-align: middle;
        }

        .modal-dialog {
            display: inline-block;
            vertical-align: middle;
        }

        .modal .modal-content {
            padding: 50px;
            -webkit-animation-name: modal-animation;
            -webkit-animation-duration: 0.5s;
            animation-name: modal-animation;
            animation-duration: 0.5s;
        }

        .color-green {
            color: green;
        }

        @-webkit-keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        @keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        p {
            line-break: anywhere;
        }
    </style>

</head>
<body>

@include('sweetalert::alert')


<header>


    <!-- navbar -->
    <nav class="navbar">
        <div class="container">
            <section class="bg">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                        <span class="fa fa-bars"></span>
                    </button>
                    <a class="navbar-brand" href="#">
                        <img src="{{asset('site/images/001.png')}}" alt="">
                    </a>
                </div>
                <div class="collapse navbar-collapse" id="myNavbar">
                    <ul class="nav navbar-nav">
                        @if(auth()->check())
                            <div class="dropdown">
                                <button class="btn  dropdown-toggle py-15" type="button" data-toggle="dropdown">
                                <span> <img height="25px" width="25px" class="mb-3 rounded"
                                            src="{{auth()->user()->image ? auth()->user()->image : asset('site/images/profile.png')}}"
                                            alt=""></span><span
                                        class="color-white font-regular px-adjust">{{auth()->user()->username}}</span><span
                                        class="caret color-white"></span>
                                </button>
                                <ul class="dropdown-menu">
                                    <li><a href="{{route('profile')}}" class="py-10">
                                            <i class="icon-user color-primary px-5"></i>
                                            <span class="color-black">@lang('site.myProfile')</span></a></li>

                                    <li class="text-center" class="py-10"><a href="{{route('logout')}}">
                                            <i class="icon-exit color-primary px-5"></i>
                                            <span class="color-black">@lang('site.logout')</span></a></li>

                                </ul>
                            </div>
                            <!-- REPLACE IF AUTHENTICATED -->
                        @else
                            <li>
                                <a style="padding: 6px 15px;" href="{{route('login')}}"
                                   class="btn btn-default mt-8">@lang('site.login')</a>
                            </li>
                            <li><a href="{{route('register_terms')}}" style="color: #fff !important;" class="main-link">@lang('site.register')</a></li>
                        @endif
                    </ul>
                    <ul class="nav navbar-nav  navbar-right">
                        <li class="active"><a href="{{route('home')}}" class="main-link"><i
                                    class="icon-home px-5"></i>{{trans('site.home')}}</a>
                        </li>
                        <li><a href="{{route('messages')}}" class="main-link"><i
                                    class="icon-mail px-5"></i>@lang('site.messages')</a><span
                                @if(\Auth::check() && \App\Models\Messages::where('receiver_id',\Auth::user()->id)->where('read','=','false')->count() != 0) class="red-dot" @endif  ></span>
                        </li>
                        <li><a href="{{route('notifications')}}" class="main-link"><i
                                    class="icon-bell px-5"></i>@lang('site.notifications')</a>
                            @if(Auth::check() && notificationStatus() == 'false' )
                                <span class="red-dot"></span></li>
                        @endif
                        <li><a href="{{route('favourites')}}" class="main-link"><i
                                    class="icon-love px-5"></i>@lang('site.favourite')</a></li>
                    </ul>
                </div>

            </section>


        </div>
    </nav>

</header>



