@include('site.controllers.upper-header')
@include('site.controllers.header')
<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>@lang('site.editAd')</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a
                        href="{{route('advertisement_details',$ad->id)}}">@lang('site.adDetails')</a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('site.editAd')</li>
            </ol>
        </nav>
    </article>
</section>
<div class="container mb-60 mt-30">
    <form action="{{route('update_ad',$ad->id)}}" method="post" enctype="multipart/form-data">
        @csrf
        <h4 class="px-10 py-20 mt-0 user-name user-name__borderless "><strong>@lang('site.editAd')</strong></h4>
        <div class="row">
            <div class="col-sm-12">
                <div class="checkbox-card">
                    <div class="relative">
                        <div class="fileUpload">
                            <input class="multable-photos upload" id="file-input" name="images[]" type="file" multiple>
                            <i class="icon-camera px-5"></i>
                            <small>@lang('site.choseImages')</small>
                        </div>
                        <div id="preview" class="pro-images">
                        </div>
                        <small>@lang('site.oldImages')</small>
                        <div>
                            @foreach($ad->images as $image)
                                <img src="{{$image->image}}"> <a href="{{route('delete_image',$image->id)}}"> <i
                                        class="fa fa-trash"></i></a>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <h5><strong>@lang('site.adTitle')</strong></h5>
            </div>

            <div class="col-sm-6 my-5">
                <input type="text" name="title" value="{{$ad->title}}" required class="form-control"
                       placeholder="@lang('site.titlePlaceholder')">
                @if ($errors->has('title'))
                    <small class="text-danger">{{ $errors->first('title') }}</small>
                @endif
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">

                    <select id="main_categories" name="main_category_id" class="form-control select-style">
                        <option value="" selected disabled class="option form-control">@lang('site.category')</option>

                    @foreach($categories as $category)
                            <option
                                @if( $category->id == $parent_category->id)  selected
                                @endif value="{{$category->id}}"
                                class="option form-control">{{$category->name[App::getLocale()]}}</option>
                        @endforeach
                    </select>
                    @if ($errors->has('main_category_id'))
                        <small class="text-danger">{{ $errors->first('main_category_id') }}</small>
                    @endif
                </div>
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select id="sub_categories" name="category_id" class="form-control select-style">
                        <option value="" disabled class="option form-control">@lang('site.subCategory')</option>
                        @foreach($sub_categories as $sub_category)
                            <option @if($parent_category->id == $sub_category->id) selected
                                    @endif value="{{$sub_category->id}}"
                                    class="option form-control">{{$sub_category->name[App::getLocale()]}}</option>
                        @endforeach
                    </select>
                    @if ($errors->has('category_id'))
                        <small class="text-danger">{{ $errors->first('category_id') }}</small>
                    @endif
                </div>
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select name="car_type" id="car_type" class="form-control select-style"
                            @if($parent_category->car_option != 'true')  style="display: none" @endif>
                        <option value="" selected disabled class="option form-control">@lang('site.carModel')</option>
                        <option value="manual"
                                class="option form-control" {{$ad->car_type == 'manual' ? "selected":""}}>@lang('site.manual')</option>
                        <option value="automatic"
                                class="option form-control" {{$ad->car_type == 'automatic' ? "selected":""}}>@lang('site.automatic')</option>
                    </select>
                    @if ($errors->has('car_type'))
                        <small class="text-danger">{{ $errors->first('car_type') }}</small>
                    @endif
                </div>
            </div>
            <div class="col-sm-6 my-5">
                <div class="select">
                    <select name="year" id="year" class="form-control select-style"
                            @if($parent_category->car_option != 'true')  style="display: none" @endif>

                        <option value="" selected disabled class="option form-control">@lang('site.year')</option>

                        @for($i= 1900  ; $i <= (integer)\Carbon\Carbon::now()->year ; $i++)
                            <option value="{{$i}}"
                                    {{$ad->year == $i ? "selected" :""}} class="option form-control">{{$i}}</option>
                        @endfor

                    </select>
                    @if ($errors->has('year'))
                        <small class="text-danger">{{ $errors->first('year') }}</small>
                    @endif
                </div>
            </div>
            <div class="col-sm-12">
                <hr class="my-10">
            </div>
            <div class="col-sm-12">
                <h5><strong>@lang('mobile')</strong></h5>
            </div>
            <div class="col-sm-6 my-5">
                <div class="input-group mb-20">
                    <input name="mobile" value="{{$ad->mobile}}" type="number" class="form-control"
                           placeholder="01123123123">
                    @if ($errors->has('mobile'))
                        <small class="text-danger">{{ $errors->first('mobile') }}</small>
                    @endif
                    <span class="input-group-btn">
                                <button class="btn btn-default pa-9" title="@lang('site.hideMobile')" type="button"><i
                                        class="icon-key"></i></button>
                            </span>
                </div><!-- /input-group -->

                <!-- <input type="text" class="form-control"  placeholder="01123123123" > -->
            </div>
            <div class="col-sm-3 ">
                <h5 class="mt-0 mb-4"><strong>@lang('site.givePubg')</strong></h5>


                <input type="radio" id="yes" onclick="manageShow('yes')" name="pubg_show" value="true"
                    {{$ad->pubg_password ? 'checked' : '' }} >
                <label for="yes" class="px-10">@lang('site.yes')</label>


                <input type="radio" onclick="manageShow('no')" id="no" name="pubg_show" value="false"
                    {{!$ad->pubg_password ? 'checked' : '' }}>
                <label for="no" class="px-10">@lang('site.no')</label><br>


            </div>

            <div class="col-sm-3 my-5" id="pubg" {{!$ad->pubg_email ?" style=display:none ": '' }}>
                <input style="margin-bottom: 15px" type="text" name="pubg_email" class="form-control"
                       value="{{$ad->pubg_email}}"
                       placeholder="@lang('site.pubg_email')">
                @if ($errors->has('pubg_email'))
                    <small class="text-danger">{{ $errors->first('pubg_email') }}</small>
                @endif
                <input type="text" name="pubg_password" class="form-control" value="{{$ad->pubg_password}}"
                       placeholder="@lang('site.pubg_password')">
                @if ($errors->has('pubg_password'))
                    <small class="text-danger">{{ $errors->first('pubg_password') }}</small>
                @endif
            </div>

            <div class="col-sm-12 my-5">
                <h5 class="mt-30"><strong>@lang('site.price')</strong></h5>
                <input type="text" name="price" required class="form-control" value="{{$ad->price}}"
                       placeholder="@lang('site.price')">
                @if ($errors->has('price'))
                    <small class="text-danger">{{ $errors->first('price') }}</small>
                @endif
            </div>

        </div>
        <div class="col-sm-12">
            <hr class="my-10">
        </div>
        <div class="col-sm-12">

            <h5 class="mt-30"><strong>@lang('site.adDetails')</strong></h5>
            <textarea name="description" id="" cols="30" rows="6"
                      placeholder="@lang('site.adDetails')">{{$ad->description}}</textarea>
            <button type="submit" class="btn btn-primary mt-20">@lang('site.editAd')
            </button>
        </div>


    </form>
</div>


@include('site.controllers.footer')
