@include('site.controllers.upper-header')
@include('site.controllers.header')

<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>@lang('site.notifications')</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('site.home')</a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('site.notifications')</li>
            </ol>
        </nav>
    </article>
</section>
<div class="container m-h-50 mb-60">
    <section class="notifications">
        <h4 class="px-10 py-20 mt-20 user-name"><strong>@lang('site.notifications')</strong>
            @if(count($rows) > 0)
                <a href="{{route('delete_notifications')}}"><i class="icon-trash color-red"></i>
                    @lang('site.deleteNotifications')</a>
            @endif
        </h4>

        @foreach($rows as $row)
            <a href="#">
                <div class="row notifications-card @if($row->seen == 'false') type-2 @endif mt-20">

                    <div class="col-sm-10">
                        <article>
                            <h5 class="my-0 color-black"><strong>{{$row->title[Lang::getLocale()]}}</strong></h5>
                            @if($row->ad_id)
                                <p class="size-12 mt-10 color-gray"
                                   style="font-size: 18px ; color: #0a6aa1; margin-bottom: 15px">
                                    <a href="{{route('advertisement_details',$row->ad_id)}}">
                                        {{$row->ad->title}}
                                    </a>
                                </p>
                                @if(isset($row->ad->pubg_email) && $row->type == 'order')
                                    <div>
                                        <p style="margin-bottom: 10px"><strong>@lang('site.givePubg') : </strong></p>
                                        <span
                                            style="margin: 15px">@lang('site.pubg_email') : {{$row->ad->pubg_email}}</span>
                                        <span>@lang('site.pubg_password') : {{$row->ad->pubg_password}}</span>
                                    </div>
                                @endif
                            @elseif($row->auction_id)
                                <p class="size-12 mt-10 color-gray" style="font-size: 18px ; color: #0a6aa1">
                                    <a href="{{route('auction_details',$row->auction_id)}}"> </a>
                                    {{$row->auction->title}}
                                </p>

                                @if(isset($row->auction->pubg_email) && $row->type == 'order')
                                    <div>
                                        <p style="margin-bottom: 10px"><strong>@lang('site.givePubg') : </strong></p>
                                        <span
                                            style="margin: 15px">@lang('site.pubg_email') : {{$row->auction->pubg_email}}</span>
                                        <span>@lang('site.pubg_password') : {{$row->auction->pubg_password}}</span>
                                    </div>
                                @endif
                            @endif
                            <p class="size-12 mt-10 color-gray">{{$row->body[Lang::getLocale()]}}</p>
                        </article>
                    </div>
                    <div class="col-sm-2 text-center">
                        <span class="color-gray">{{\Carbon\Carbon::parse($row->created_at)->diffForHumans()}}</span>
                    </div>
                </div>
            </a>
        @endforeach

        <div class="col-sm-12 text-center">
            {{$rows->links()}}
        </div>
        @if(count($rows) == 0)
            <div class="col-sm-12 text-center" style="margin-top: 30px">
                <p style="font-weight: bold"> @lang('site.noItem')</p>
            </div>
        @endif
    </section>
</div>

@include('site.controllers.footer')
