@include('site/controllers/upper-header')
@include('site/controllers/header')

<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong>@lang('site.register')</strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('site.home')</a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('site.register')</li>
            </ol>
        </nav>
    </article>
</section>
<div class="container">
    <div class="login-p">
        <section class="form-section">
            <div class="row">
                <div class="col-sm-6 col-xs-12 mb-30 px-30">
                    <article>
                        <h4 class="mb-20"><strong>@lang('site.register')</strong></h4>
                    </article>
                    <form action="{{route('register_store')}}" method="POST" enctype="multipart/form-data">
                        {{csrf_field()}}
                        <input type="text" name="username" required class="form-control mb-20"
                               placeholder="@lang('site.username') ">
                        @if ($errors->has('username'))
                            <small class="text-danger">{{ $errors->first('username') }}</small>
                        @endif
                        <input type="email" name="email" required class="form-control mb-20"
                               placeholder="@lang('site.email')">
                        @if ($errors->has('email'))
                            <small class="text-danger">{{ $errors->first('email') }}</small>
                        @endif

                        <input type="text" name="bank_name" required class="form-control mb-20"
                               placeholder="@lang('site.bank_name')">
                        @if ($errors->has('bank_name'))
                            <small class="text-danger">{{ $errors->first('bank_name') }}</small>
                        @endif

                        <input type="text" name="bank_account" required class="form-control mb-20"
                               placeholder="@lang('site.bank_account')">
                        @if ($errors->has('bank_account'))
                            <small class="text-danger">{{ $errors->first('bank_account') }}</small>
                        @endif


{{--                        <input type="text" name="iban_number" required class="form-control mb-20"--}}
{{--                                      placeholder="@lang('site.iban_number')">--}}
{{--                        @if ($errors->has('iban_number'))--}}
{{--                            <small class="text-danger">{{ $errors->first('iban_number') }}</small>--}}
{{--                        @endif--}}



                        <input type="text" name="account_name" required class="form-control mb-20"
                               placeholder="@lang('site.account_name')">
                        @if ($errors->has('account_name'))
                            <small class="text-danger">{{ $errors->first('account_name') }}</small>
                        @endif


                        <div class="row rest-row">
                            <div class="col-md-10">
                                <input id="register_phone" type="text" name="mobile" maxlength="9" required class="form-control mb-20"
                                       placeholder="5xxxxxxxx ">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>
                            <div class="col-md-2">
                                <input type="text" name="country_code" placeholder="966" maxlength="3" value="{{old('country_code')}}" class="form-control mb-20">
                            </div>
                        </div>


                        <input type="password" name="password" required class="form-control mb-20"
                               placeholder="@lang('site.password')">
                        @if ($errors->has('password'))
                            <small class="text-danger">{{ $errors->first('password') }}</small>
                        @endif
                        <input type="password" name="password_confirmation" required class="form-control mb-20"
                               placeholder="@lang('site.passwordConfirmation')">
                        @if ($errors->has('password_confirmation'))
                            <small class="text-danger">{{ $errors->first('password_confirmation') }}</small>
                        @endif


                        {!! htmlFormSnippet() !!}
                        @if($errors->has('g-recaptcha-response'))
                        <div>
                            <small class="text-danger">{{ $errors->first('g-recaptcha-response') }}</small>
                        </div>
                        @endif

                    <!-- <button style="width:100%" class="btn btn-primary mt-20 mb-20" onclick="window.location.href='usage-agreement.php'">استمرار</button> -->
                        <button type="submit" style="width:100%" class="btn btn-primary mt-20 mb-20">
                            @lang('site.register')
                        </button>
                        <hr class="my-10  width-50 mx-auto"/>
                        <p class="mt-20 text-center">@lang('site.haveAccount') -
                            <a href="{{route('login')}}" class="underlined"><strong>@lang('site.login')</strong></a>
                        </p>
                    </form>
                </div>
                <div class="col-sm-6 illustrated"></div>
            </div>
        </section>
    </div>
</div>

@include('site/controllers/footer')
<script>
    $("#register_phone").on("keypress keyup", function () {
        console.log('farouz');
        if ($(this).val() == '0') {
            $(this).val('');
            alert("من فضلك قم بكتابة رقم الجوال بطريقه صحيحة بداية xxxxxxxx")
        }
    });
</script>
