<?php

namespace App\Http\Controllers\Admin;

use App\Models\FailedTransaction;
use App\Models\HarajType;
use App\Models\MediationRequests;
use Illuminate\Support\Facades\Route;

Route::get('test',function(){
    \Artisan::call('config:cache');
    dd(\Hash::make('headshot2022'));
});

Route::get('/admin_login', [HomeController::class, 'login'])->name('admin_login');
Route::post('authenticate', [HomeController::class, 'authenticate'])->name('authenticate');

Route::resources([
    'settings' => SettingsController::class,
    'admins' => AdminsController::class,
    'contacts' => ContactsController::class,
    'auction_categories' => AuctionCategoriesController::class,
    'sold_auctions' => SoldAuctionsController::class,
    'ad_categories' => AdCategoriesController::class,
    'notifications' => NotificationsController::class,
    'users' => UsersController::class,
    'areas' => AreasController::class,
    'reports' => ReportsController::class,
    'auctions' => AuctionsController::class,
    'ads' => AdsController::class,
    'complaint' => ComplaintsController::class,
    'failed_transactions' => FailedTransactions::class,
    'haraj_types' => HarajTypeController::class,
    'haraj_ads' => HarajAdsController::class,
    'notActiveAuctions' => NotActiveAuctionsController::class,
    'cancel_messages' => CancelMessagesController::class,
    'banks' => BanksController::class,
    'commission_transfers' => CommissionTransfer::class,
    'cities' => CitiesController::class,
    'mediation_requests' => MediationRequestsController::class,
    'ad_orders' => AdOrdersController::class,
    'report_auctions' => ReportAuctionsController::class,

]);

Route::get('block_user/{user_id}', [UsersController::class, 'block_user'])->name('users.block_user');

Route::group(['middleware' => 'admin:admin', 'prefix' => 'admin'], function () {
    Route::get('/', [HomeController::class, 'index'])->name('admin');


    Route::get('admin_logout', [HomeController::class, 'admin_logout'])->name('admin_logout');

    Route::post('select_delete', [HomeController::class, 'select_delete'])->name('select_delete');

    Route::get('delete_comment/{comment_id}', [HarajAdsController::class, 'delete_comment'])->name('delete_comment');

////    Cities
//    Route::get('create_cities/', [CitiesController::class, 'create'])->name('cities.create');
//    Route::get('edit_cities/{city_id}', [CitiesController::class, 'edit'])->name('cities.edit');
//    Route::get('cities_area/{city_id}', [CitiesController::class, 'show'])->name('cities.show');
//    Route::delete('delete_city/{city_id}', [CitiesController::class, 'destroy'])->name('cities.destroy');
//    Route::post('store_cities', [CitiesController::class, 'store'])->name('cities.store');
//    Route::patch('update_cities/{city_id}', [CitiesController::class, 'update'])->name('cities.update');
    /////////////////////////////////////////////////////////////////////////////////////////////////
    /// Hays
    Route::get('create_hays/{city_id}', [HaysController::class, 'create'])->name('hays.create');
    Route::get('edit_hays/{hay_id}', [HaysController::class, 'edit'])->name('hays.edit');
    Route::get('hays_area/{hay_id}', [HaysController::class, 'show'])->name('hays.show');
    Route::delete('delete_city/{hay_id}', [HaysController::class, 'destroy'])->name('hays.destroy');
    Route::post('store_hays', [HaysController::class, 'store'])->name('hays.store');
    Route::patch('update_hays/{hay_id}', [HaysController::class, 'update'])->name('hays.update');


    Route::post('auction_search', [AuctionsController::class, 'auction_search'])->name('auction_search');
    Route::post('not_active_auction_search', [NotActiveAuctionsController::class, 'not_active_auction_search'])->name('not_active_auction_search');
    Route::post('ads_search', [HarajAdsController::class, 'ads_search'])->name('ads_search');
    Route::post('complain_search', [ComplaintsController::class, 'complain_search'])->name('complain_search');
    Route::post('failed_transactions_search', [FailedTransactions::class, 'failed_transactions_search'])->name('failed_transactions_search');
    Route::post('commission_transfer_search', [CommissionTransfer::class, 'commission_transfer_search'])->name('commission_transfer_search');


    Route::post('ad_order_search', [AdOrdersController::class, 'ad_order_search'])->name('ad_order_search');
    Route::post('report_auctions_search', [ReportAuctionsController::class, 'report_auctions_search'])->name('report_auctions_search');

});


