<?php $__env->startSection('title', "تقارير المزادات"); ?>
<?php $__env->startSection('content'); ?>



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تقارير المزادات</h4>
            </div>
        </div>
    </div>
    <div class="row">


        <div class="col-12">
            <div class="card-box">
                <form method="POST" action="<?php echo e(route('report_auctions_search')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <label for="exampleInputEmail1">من تاريخ</label>
                        <input type="date" class="form-control" value="<?php echo e(old('from')); ?>" name="from"
                               id="exampleInputEmail1">
                        <?php if($errors->has('from')): ?>
                            <small class="text-danger"><?php echo e($errors->first('from')); ?></small>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">الى تاريخ</label>
                        <input type="date" class="form-control" value="<?php echo e(old('to')); ?>" name="to"
                               id="exampleInputEmail1">
                        <?php if($errors->has('to')): ?>
                            <small class="text-danger"><?php echo e($errors->first('to')); ?></small>
                        <?php endif; ?>
                    </div>

                    <button type="submit" class="btn btn-success">بحث</button>
                </form>
            </div>
        </div>



        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title">تقارير المزادات</h4>

                <table id="example" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>إسم المزاد</th>
                        <th>إسم صاحب المزاد</th>
                        <th>إسم الفائز</th>
                        <th>نوع المزاد</th>
                        <th>السعر</th>
                        <th>النسبة</th>
                        <th>حالة التسليم</th>
                        <th>الحالة</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    <?php $__currentLoopData = $rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $start_date = \Carbon\Carbon::parse($row->date);
                            $end_date = \Carbon\Carbon::parse($row->date)->addMinutes(30);
                        ?>
                        <tr>
                            <td><?php echo e($i); ?></td>
                            <td><?php echo e($row->title); ?></td>
                            <td><a href="<?php echo e(route('users.show',$row->user->id)); ?>"><?php echo e($row->user->username); ?></a></td>
                            <td><?php echo e($row->winner->username); ?></td>
                            <td><?php echo e($row->type = 'normal' ? 'مزاد عادى' : 'مزاد مباشر'); ?></td>
                            <td><?php echo e($row->price); ?></td>
                            <td><?php echo e($row->commission ? $row->commission : 0); ?></td>

                            <td>
                                <?php if($row->code_recieve == 'wait'): ?>
                                    في الانتظار
                                <?php elseif($row->code_recieve == 'true'): ?>

                                    تم الاستلام
                                <?php else: ?>
                                    لم يتم الاستلام
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if($row->status == 'active'): ?>
                                    مفعل
                                <?php elseif($row->status == 'not_active'): ?>
                                    غير مفعل
                                <?php elseif($row->status == 'cancel'): ?>
                                    ملغى
                                <?php elseif($row->status == 'waiting'): ?>
                                    فى الانتظار
                                <?php endif; ?>
                            </td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal<?php echo e($row->id); ?>">حذف
                                </button>






                                <a href="<?php echo e(route('sold_auctions.show',$row->id)); ?>">
                                    <button type="button"
                                            class="btn btn-success waves-effect waves-light">عرض
                                    </button>
                                </a>

                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="<?php echo e(route('sold_auctions.destroy',$row->id)); ?>">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /backup/playercenter/public_html/resources/views/admin/report_auctions/index.blade.php ENDPATH**/ ?>