<?php echo $__env->make('site.controllers.upper-header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('site.controllers.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<section class="global-head">
    <div class="layer"></div>
    <article>
        <h4><strong><?php echo app('translator')->get('site.addNewAd'); ?></strong></h4>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#"><?php echo app('translator')->get('site.harajAd'); ?></a></li>
                <li class="breadcrumb-item active" aria-current="page"><?php echo app('translator')->get('site.addNewAd'); ?></li>
            </ol>
        </nav>
    </article>
</section>
<div class="container mb-60 mt-30">
    <div class="row">

        <div class="col-sm-12">
            <form action="<?php echo e(route('store_advertisement')); ?>" enctype="multipart/form-data" method="post">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-sm-12">
                        <h5><strong><?php echo app('translator')->get('site.adTitle'); ?></strong></h5>
                    </div>

                    <div class="col-sm-6 my-5">
                        <input type="text" name="title" value="<?php echo e(old('title')); ?>" required class="form-control"
                               placeholder="<?php echo app('translator')->get('site.titlePlaceholder'); ?>">
                        <?php if($errors->has('title')): ?>
                            <small class="text-danger"><?php echo e($errors->first('title')); ?></small>
                        <?php endif; ?>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select id="main_categories" name="main_category_id" class="form-control select-style">
                                <option value="" selected disabled
                                        class="option form-control"><?php echo app('translator')->get('site.category'); ?></option>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>"
                                            class="option form-control"><?php echo e($category->name[App::getLocale()]); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('main_category_id')): ?>
                                <small class="text-danger"><?php echo e($errors->first('main_category_id')); ?></small>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select id="sub_categories" name="category_id" class="form-control select-style">
                                <option value="" selected disabled
                                        class="option form-control"><?php echo app('translator')->get('site.subCategory'); ?></option>

                            </select>
                            <?php if($errors->has('category_id')): ?>
                                <small class="text-danger"><?php echo e($errors->first('category_id')); ?></small>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select name="car_type" id="car_type" class="form-control select-style"
                                    style="display: none">
                                <option value="" selected disabled
                                        class="option form-control"><?php echo app('translator')->get('site.carModel'); ?></option>
                                <option value="manual" class="option form-control"><?php echo app('translator')->get('site.manual'); ?></option>
                                <option value="automatic" class="option form-control"><?php echo app('translator')->get('site.automatic'); ?></option>

                            </select>
                            <?php if($errors->has('car_type')): ?>
                                <small class="text-danger"><?php echo e($errors->first('car_type')); ?></small>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="select">
                            <select name="year" id="year" class="form-control select-style" style="display: none">
                                <option value="" selected disabled
                                        class="option form-control"><?php echo app('translator')->get('site.year'); ?></option>

                                <?php for($i= 1900  ; $i <= (integer)\Carbon\Carbon::now()->year ; $i++): ?>
                                    <option value="<?php echo e($i); ?>" class="option form-control"><?php echo e($i); ?></option>
                                <?php endfor; ?>

                            </select>
                            <?php if($errors->has('year')): ?>
                                <small class="text-danger"><?php echo e($errors->first('year')); ?></small>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <hr class="my-10">
                    </div>
                    <div class="col-sm-12">
                        <h5><strong><?php echo app('translator')->get('site.mobile'); ?></strong></h5>
                    </div>
                    <div class="col-sm-6 my-5">
                        <div class="input-group mb-20">
                            <input name="mobile" value="<?php echo e(old('mobile')); ?>" type="number" class="form-control"
                                   placeholder="01123123123">
                            <?php if($errors->has('mobile')): ?>
                                <small class="text-danger"><?php echo e($errors->first('mobile')); ?></small>
                            <?php endif; ?>
                            <span class="input-group-btn">
                                <button class="btn btn-default pa-9" title="<?php echo app('translator')->get('site.hideMobile'); ?>" type="button"><i
                                        class="icon-key"></i></button>
                            </span>
                        </div><!-- /input-group -->

                        <!-- <input type="text" class="form-control"  placeholder="01123123123" > -->
                    </div>
                    

                    <div class="col-sm-3 my-5" id="pubg">
                        <input style="margin-bottom: 15px" type="text" name="pubg_email" class="form-control"
                               value="<?php echo e(old('email')); ?>"
                               placeholder="<?php echo app('translator')->get('site.email'); ?>">
                        <?php if($errors->has('pubg_email')): ?>
                            <small class="text-danger"><?php echo e($errors->first('pubg_email')); ?></small>
                        <?php endif; ?>
                        <input type="text" name="pubg_password" class="form-control" value="<?php echo e(old('pubg_password')); ?>"
                               placeholder="<?php echo app('translator')->get('site.password'); ?>">
                        <?php if($errors->has('pubg_password')): ?>
                            <small class="text-danger"><?php echo e($errors->first('password')); ?></small>
                        <?php endif; ?>
                    </div>

                    <div class="col-sm-12 my-5">
                        <h5 class="mt-30"><strong><?php echo app('translator')->get('site.price'); ?></strong></h5>
                        <input type="text" name="price" required class="form-control" value="<?php echo e(old('price')); ?>"
                               placeholder="<?php echo app('translator')->get('site.price'); ?>">
                        <?php if($errors->has('price')): ?>
                            <small class="text-danger"><?php echo e($errors->first('price')); ?></small>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-sm-12">
                    <hr class="my-10">
                </div>
                <div class="col-sm-12">

                    <h5 class="mt-30"><strong><?php echo app('translator')->get('site.adText'); ?></strong></h5>
                    <textarea name="description" id="" cols="30" rows="6"
                              placeholder="<?php echo app('translator')->get('site.adDetails'); ?>"><?php echo e(old('description')); ?></textarea>
                    <button type="submit" class="btn btn-primary mt-20"><?php echo app('translator')->get('site.sendAd'); ?>
                    </button>
                </div>

            </form>
        </div>
    </div>
    <!-- sigup modal -->
    <div class="modal" id="signupModal"
         role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">

        <div class="modal-dialog signmodel">
            <div class="modal-content">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <section>
                    <img src="<?php echo e(asset('site/images/green/confirmation.png')); ?>" class="mb-4 mx-auto" width="60px" alt="">
                </section>
                <h4 class="mb-20 mt-20"><strong><?php echo app('translator')->get('site.theAdvertisementHasBeenSent'); ?></strong></h4>

                <ul class="d-flex space-around">

                    <li><a href="ad-details.php" class="color-black">
                            <article>
                                <img src="<?php echo e(asset('site/images/vectors/advertiseme.png')); ?>" class="mb-4 mx-auto primary"
                                     width="100%"
                                     alt="">

                                <h5><strong><?php echo app('translator')->get('site.goToAdvertise'); ?></strong></h5>
                            </article>
                        </a></li>
                    <li><a href="<?php echo e(route('home')); ?>" class="color-black">
                            <article>
                                <img src="<?php echo e(asset('site/images/vectors/house.png')); ?>" class="mb-4 mx-auto gray"
                                     height="99px" width="100%"
                                     alt="">

                                <h5><strong><?php echo app('translator')->get('site.goToTheMain'); ?></strong></h5>
                            </article>
                        </a></li>
                </ul>
            </div>
        </div>
    </div>
</div>


<?php echo $__env->make('site.controllers.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH /media/mohamed/Work/headshop/playCenter/resources/views/site/haraj/add_advertisement.blade.php ENDPATH**/ ?>